
# No bonemeal since Pam's still responds to it when Hunger Overhaul disables it on vanilla
# recipes.remove(<minecraft:dye:15>);
# recipes.addShapeless(<ExtraBees:misc:23>, [<minecraft:bone>]);
# GT update should have removed this

# Disable the easy eggplant recipe
recipes.removeShapeless(<harvestcraft:stuffedeggplantItem>, [<harvestcraft:eggplantItem>, <harvestcraft:garlicItem>, <harvestcraft:bakewareItem>]);

# Replace chunkloader with spotloader, same recipe
recipes.remove(<ChickenChunks:chickenChunkLoader:*>);
recipes.addShaped(<ChickenChunks:chickenChunkLoader:1>,
		       [[null,                   <minecraft:ender_pearl>,      null],
			[<minecraft:gold_ingot>, <minecraft:gold_ingot>,       <minecraft:gold_ingot> ],
			[<minecraft:gold_ingot>, <minecraft:enchanting_table>, <minecraft:gold_ingot> ]]);

# Make slimeballs from glue
recipes.addShapeless(<minecraft:slime_ball>,[<gregtech:gt.multiitem.bottles:32766>]);

# Mail system changes
recipes.addShapeless(<Forestry:letters>, [<minecraft:paper>, <minecraft:slime_ball>]);
print("Added letters from slime");

recipes.addShaped(<Forestry:stamps> * 9,
				    [[<ore:nuggetCopper>, <ore:nuggetCopper>, <ore:nuggetCopper>],
				    [<minecraft:paper>, <minecraft:paper>, <minecraft:paper>],
				    [<minecraft:slime_ball>, <minecraft:slime_ball>, <minecraft:slime_ball>]]);
print("Added 1n stamps from copper nuggets paper and slime");

recipes.addShaped(<Forestry:stamps:1> * 9,
				      [[<ore:nuggetIron>, <ore:nuggetIron>, <ore:nuggetIron>],
				      [<minecraft:paper>, <minecraft:paper>, <minecraft:paper>],
				      [<minecraft:slime_ball>, <minecraft:slime_ball>, <minecraft:slime_ball>]]);
print("Added 1n stamps from iron nuggets paper and slime");

# GT6 balanced openblocks glider with aluminum and plastic
recipes.remove(<OpenBlocks:generic:0>);
recipes.remove(<OpenBlocks:hangglider>);

recipes.addShaped(<OpenBlocks:generic:0>,
[[ <gregtech:gt.meta.screw:130>,     <gregtech:gt.meta.stickLong:130>, <gregtech:gt.meta.plate:8218> ],
 [ <gregtech:gt.meta.stickLong:130>, <gregtech:gt.meta.plate:8218>,    <gregtech:gt.meta.plate:8218> ],
 [ <gregtech:gt.meta.plate:8218>,    <gregtech:gt.meta.plate:8218>,    <gregtech:gt.meta.stickLong:130> ]]);

recipes.addShaped(<OpenBlocks:hangglider>,
[[ <OpenBlocks:generic:0>,           <gregtech:gt.meta.stickLong:130>,       <OpenBlocks:generic:0> ],
 [ <gregtech:gt.meta.stickLong:130>, <minecraft:saddle>,                     <gregtech:gt.meta.stickLong:130>],
 [ <gregtech:gt.meta.screw:130>,     <gregtech:gt.meta.minecartWheels:130>,  <gregtech:gt.meta.screw:130>]]);


# Disable Botania cookies, they bypass food restrictions.
mods.botania.ManaInfusion.removeRecipe(<Botania:manaCookie>);

# Activators remade for GT
recipes.remove(<activator:activator>);
recipes.remove(<activator:activator.redstone>);
recipes.remove(<activator:activator.rf>);
recipes.remove(<activator:gear>);

recipes.addShaped(<activator:activator.redstone>,
[[ <ore:plateSteel>, <minecraft:piston>, <ore:plateSteel> ],
 [ <ore:plateSteel>, <ore:gearSteel>,    <ore:plateSteel> ],
 [ <ore:plateSteel>, <ore:gearSteel>,    <ore:plateSteel> ]]);

# Make moss from chaff
recipes.addShapeless(<BiomesOPlenty:moss>,[<IC2:itemBiochaff>]);

# AE2 oredict card from GTNH
recipes.addShapeless(<appliedenergistics2:item.ItemMultiMaterial:55>, [<appliedenergistics2:item.ItemMultiMaterial:28>, <appliedenergistics2:item.ItemMultiMaterial:24>, <appliedenergistics2:item.ItemMultiMaterial:24>, <appliedenergistics2:item.ItemMultiMaterial:29>]);

# Update ender chest and tank with GT recipes around long distance item endpoint
recipes.remove(<EnderStorage:enderChest>);
recipes.remove(<EnderStorage:enderChest:4096>);
recipes.addShaped(<EnderStorage:enderChest>,
[[ <minecraft:blaze_rod>,           <minecraft:wool>,       <minecraft:blaze_rod> ],
 [ <ore:pipeMediumElectrum>, <gregtech:gt.multitileentity:10060>,   <ore:pipeMediumElectrum> ],
 [ <minecraft:blaze_rod>,     <minecraft:ender_pearl>,  <minecraft:blaze_rod>]]);
recipes.addShaped(<EnderStorage:enderChest:4096>,
[[ <minecraft:blaze_rod>,           <minecraft:wool>,       <minecraft:blaze_rod> ],
 [ <ore:pipeMediumGold>, <gregtech:gt.multitileentity:10060>,   <ore:pipeMediumGold> ],
 [ <minecraft:blaze_rod>,     <minecraft:ender_pearl>,  <minecraft:blaze_rod>]]);


# Remove loonium, it generates unlimited dungeon loot too cheaply
mods.botania.Apothecary.removeRecipe("loonium");

# Remove orechid, too easy
mods.botania.Apothecary.removeRecipe("orechid");
mods.botania.Apothecary.removeRecipe("orechidIgnem");

### Use GT items instead, these gatekeep the other recipes and should be enough to balance it out a bit
# Mana diamond from flawless diamonds
mods.botania.ManaInfusion.removeRecipe(<Botania:manaResource:2>);
mods.botania.ManaInfusion.addInfusion(<Botania:manaResource:2>, <ore:gemFlawlessDiamond>, 1000000);

# Mana steel from stainless steel
mods.botania.ManaInfusion.removeRecipe(<Botania:manaResource>);
mods.botania.ManaInfusion.addInfusion(<Botania:manaResource>, <ore:ingotStainlessSteel>, 300000);

# Terra steel cannot be changed on the plate.

# Add recipes for relics

# Fruit allows you to eat mana, OP but hard to get. Helmet lets you eat tin cans anyway.
recipes.addShaped(<Botania:infiniteFruit>,
[[ <minecraft:golden_apple>, <minecraft:golden_apple>, <minecraft:golden_apple> ],
 [ <minecraft:golden_apple>, <IC2:itemArmorQuantumHelmet>, <minecraft:golden_apple> ],
 [ <minecraft:golden_apple>, <minecraft:golden_apple>, <minecraft:golden_apple> ]]);

# Eye gives you unlimited flight with Tiara. Quantum Suit gives flight with hover, so this upgrades.
recipes.addShapeless(<Botania:flugelEye>,[<IC2:itemArmorQuantumChestplate>,<minecraft:nether_star>]);

# Add missing circuit boards for OC
recipes.addShapeless(<OpenComputers:item:30>,[<OpenComputers:item:17>, <ore:itemClay>, <ore:dyeGreen>]);

# Add furnace baking for raw OC
furnace.addRecipe(<OpenComputers:item:31>, <OpenComputers:item:30>);
